Page MenuHomePhabricator

Modify {{#language:ku}}: Kurdî should be written lower-case instead
Closed, ResolvedPublic

Description

Hello! The Magic words {{#language:ku}} or {{#language:ku-Latn}} gives a result in upper case (Kurdî and Kurdî (latînî)).
However, the names of languages in Kurdish, unlike English, are written in lower case.

It is not very important but it becomes annoying when it is used automatically for the translation of the word "Kurdish" in a sentence on translatewiki.net (example).

I therefore ask if it is possible that the word "Kurdî" is displayed in lowercase :
{{#language:ku}} --> kurdî
{{#language:ku-Latn}} --> kurdî (latînî)

Thanks

Event Timeline

Ghybu created this task.Mar 20 2018, 6:24 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 20 2018, 6:24 PM

Looks like this is defined in the file languages/data/Names.php in MediaWiki core. If you'd like to write a software change ("patch") yourself: You are very welcome to use developer access to submit proposed code changes as a Git branch directly into Gerrit.

Aklapper renamed this task from Request for modification of {{#language:ku}} to Modify {{#language:ku}}: Kurdî should be written lower-case instead.Mar 21 2018, 7:55 AM
Zoranzoki21 added a project: Patch-For-Review.
Zoranzoki21 added a subscriber: Zoranzoki21.

User which requested this, made a patch: https://gerrit.wikimedia.org/r/#/c/421186/

Claimed to him per it.

Change 421186 had a related patch set uploaded (by Ghybu; owner: Ghybu):
[mediawiki/core@master] Modify {{#language:ku}}: Kurdî should be written lower-case instead

https://gerrit.wikimedia.org/r/421186

Ghybu added a comment.Mar 23 2018, 4:25 AM

I wondering if it was possible to create a script like this for the Kurdish language without using the CLDR. It allows among other things to have the display of languages inKurdishin the interwikis.

A request for the CLDR has been made here or here for T48235, but for reasons that I do not know nothing has happened for several years (does the CLDR have the capacity to take care of all languages? this can explain some things).

Change 421186 merged by jenkins-bot:
[mediawiki/core@master] Modify {{#language:ku}}: Kurdî should be written lower-case instead

https://gerrit.wikimedia.org/r/421186

Jayprakash12345 closed this task as Resolved.Mar 24 2018, 4:28 PM